Get Skill
curl --request GET \
--url https://app.apigene.ai/api/mcp/get_skill \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/mcp/get_skill"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/mcp/get_skill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"content": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"license": "",
"compatibility": "",
"metadata": {},
"allowed_tools": "",
"status": "active",
"scripts": {},
"references": {},
"assets": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}MCP
Get Skill
Get a specific skill by its id for the specified agent. Returns the skill metadata (without content) for the specified skill id if the agent has access to it.
GET
/
api
/
mcp
/
get_skill
Get Skill
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Query Parameters
The name of the GenAI app.
The type of the app ('mcp' or 'agent').
The id of the skill to retrieve.
Response
Successful Response
Response model for a single skill
The skill data
Show child attributes
Show child attributes
⌘I
